<bugID>890105<Summary>TabsInTitleBar._update should group measurements and style changes to avoid unnecessary reflows</Summary><Description>I think there may be opportunities to avoid reflows and short-circuit some calculations.</Description></bugID>